LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Included Services | Exported Interfaces | Public Attributes | List of all members
KeyDescriptor Service Referencepublished

is used to define a new key for a table. More...

`import"KeyDescriptor.idl";`

Inheritance diagram for KeyDescriptor:

## Included Services
service | Descriptor

## Exported Interfaces
interface | XColumnsSupplier
| access to the contained key columns. More...
Exported Interfaces inherited from Descriptor
interface | com::sun::star::beans::XPropertySet

## Public Attributes
long | Type
| indicates the type of the key. More...
string | ReferencedTable
| is the name of the referenced table, only used for foreign keys. More...
long | UpdateRule
| is the rule which is applied for updates; only used for foreign keys. More...
long | DeleteRule
| is the rule which is applied for deletions; only used for foreign keys. More...
Public Attributes inherited from Descriptor
string | Name
| is the name for the object to create. More...

## Additional Inherited Members
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XColumnsSupplier
com::sun::star::container::XNameAccess | getColumns ()
| returns the container of columns. More...

## Detailed Description

is used to define a new key for a table.

See Also
  com::sun::star::sdbcx::Key

## Exported Interfaces

service Descriptor

## Exported Interfaces

interface XColumnsSupplier

access to the contained key columns.

## Member Data Documentation

long DeleteRule
| property

is the rule which is applied for deletions; only used for foreign keys.

See Also
  com::sun::star::sdbc::KeyRule

string ReferencedTable
| property

is the name of the referenced table, only used for foreign keys.

long Type
| property

indicates the type of the key.

See Also
  com::sun::star::sdbcx::KeyType

long UpdateRule
| property

is the rule which is applied for updates; only used for foreign keys.

See Also
  com::sun::star::sdbc::KeyRule

The documentation for this service was generated from the following file:

- com/sun/star/sdbcx/KeyDescriptor.idl